Loading...
Searching...
No Matches
pcl::Axis Struct Reference
Module common

A point structure representing an Axis using its normal coordinates. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Axis:

## Public Member Functions

constexpr | Axis (const _Axis &p)
constexpr | Axis ()
constexpr | Axis (float n_x, float n_y, float n_z)

## Friends

std::ostream & | operator<< (std::ostream &os, const Axis &p)

## Detailed Description

A point structure representing an Axis using its normal coordinates.

(SSE friendly)

Definition at line 846 of file point_types.hpp.

## Constructor & Destructor Documentation

## Axis() [1/3]

constexpr pcl::Axis::Axis | ( | const _Axis & | p | ) |

inline constexpr

Definition at line 848 of file point_types.hpp.

## Axis() [2/3]

constexpr pcl::Axis::Axis | ( |  | ) |

inline constexpr

Definition at line 850 of file point_types.hpp.

## Axis() [3/3]

constexpr pcl::Axis::Axis | ( | float | n_x,
|  | float | n_y,
|  | float | n_z
| ) |  |

inline constexpr

Definition at line 852 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Axis & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp